Skip to content
Start here

List transformers

client.Logpush.Transformers.List(ctx, query) (*SinglePage[TransformerListResponse], error)
GET/accounts/{account_id}/logpush/transformers

Lists all custom log transformers for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Logs Write
ParametersExpand Collapse
query TransformerListParams
AccountID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type TransformerListResponse struct{…}
ID int64Optional

The transformer ID.

minimum1
AssociatedJobs []TransformerListResponseAssociatedJobOptional

Logpush jobs that reference this transformer.

ID int64Optional

The logpush job ID.

Name stringOptional

The logpush job destination name.

ObjectTag stringOptional

The zone or account tag.

ObjectType TransformerListResponseAssociatedJobsObjectTypeOptional

Whether the job is zone-scoped or account-scoped.

One of the following:
const TransformerListResponseAssociatedJobsObjectTypeZone TransformerListResponseAssociatedJobsObjectType = "zone"
const TransformerListResponseAssociatedJobsObjectTypeAccount TransformerListResponseAssociatedJobsObjectType = "account"
CreatedAt TimeOptional

When the transformer was created (RFC 3339).

formatdate-time
Dataset stringOptional

The dataset this transformer operates on, derived from the SQL query’s FROM clause. Informational only. May be absent if the dataset cannot be determined from the query.

Description stringOptional

Optional customer-provided description.

maxLength4096
Name stringOptional

Customer-provided name for identification.

maxLength255
UpdatedAt TimeOptional

When the transformer was last modified (RFC 3339).

formatdate-time

List transformers

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/logpush"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Logpush.Transformers.List(context.TODO(), logpush.TransformerListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 42,
      "associated_jobs": [
        {
          "id": 123,
          "name": "s3-export",
          "object_tag": "023e105f4ecef8ad9ca31a8372d0c353",
          "object_type": "zone"
        }
      ],
      "created_at": "2026-08-01T12:00:00Z",
      "dataset": "http_requests",
      "description": "Redacts PII fields from HTTP request logs.",
      "name": "redact-pii",
      "updated_at": "2026-08-10T15:30:00Z"
    }
  ]
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": 42,
      "associated_jobs": [
        {
          "id": 123,
          "name": "s3-export",
          "object_tag": "023e105f4ecef8ad9ca31a8372d0c353",
          "object_type": "zone"
        }
      ],
      "created_at": "2026-08-01T12:00:00Z",
      "dataset": "http_requests",
      "description": "Redacts PII fields from HTTP request logs.",
      "name": "redact-pii",
      "updated_at": "2026-08-10T15:30:00Z"
    }
  ]
}